.main-container {
  padding-top: 120px;
}
@media (max-width: 1279px) {
  .main-container {
    padding-top: 100px;
    padding-bottom: 160px;
  }
}
@media (max-width: 767px) {
  .main-container {
    padding-top: 80px;
    padding-bottom: 140px;
  }
}

.location-title {
  margin-bottom: 60px;
  width: 100%;
  text-align: center;
}

/* Map */
#map {
  height: 860px;
  margin-left: calc(-50vw + 50%);
  position: relative;
  left: 0;
  right: 0;
}

@media screen and (max-width: 1279px) {
  #map {
    height: 420px;
  }
}

@media screen and (max-width: 767px) {
  #map {
    height: 350px;
  }
}

.map-info {
  width: 400px;
  position: absolute;
  top: 58px;
  left: 88px;
  display: flex;
  flex-direction: column;
  padding: 40px 30px;
  gap: 10px;
  border-radius: 4px;
  background: var(--white);
  z-index: 3;
  box-shadow: var(--shadow-1);
}

/* Desktop info (visible over 1023px) */
.map-info.desktop-info {
  display: block;
}

/* Mobile info (hidden over 1023px) */
.map-info.mobile-info {
  display: none;
  width: 100%;
  position: static;
  border-radius: 0;
  box-shadow: none;
  padding: 24px 16px;
}

@media screen and (max-width: 1279px) {
  /* Hide desktop info */
  .map-info.desktop-info {
    display: none;
  }

  /* Show mobile info */
  .map-info.mobile-info {
    display: block;
  }
}

.map-info .title {
  display: flex;
  gap: 4px;
  align-items: center;
  margin-bottom: 16px;
}

.map-info .transportation-group {
  display: flex;
  flex-direction: column;
  padding-top: 40px;
  gap: 32px;
}
@media screen and (max-width: 1279px) {
  .map-info .transportation-group {
    padding-top: 32px;
  }
}

.desktop-info .description {
  margin-top: 16px;
  padding-bottom: 40px;
  border-bottom: 1px solid var(--gray-300);
}

.mobile-info .description {
  margin-top: 16px;
  padding-bottom: 32px;
  border-bottom: 1px solid var(--gray-300);
}

.map-info .title img {
  width: 24px;
  height: 24px;
}

.map-info .transportation {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.map-info .transportation ul {
  padding-left: 8px;
  margin: 0;
}

.map-info .transportation li {
  position: relative;
  padding: 0 0 0 16px;
  list-style: none;
}

.map-info .transportation li::before {
  content: '•';
  position: absolute;
  left: 0;
  top: 6px;
  line-height: 1;
  font-size: 16px;
}

.map-info .transportation-title {
  display: flex;
  gap: 4px;
  align-items: center;
}
